Skip to main content
GET
Get User Group

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Auth:UserGroups:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

userGroupId
string
required

User group id.

Required string length: 1 - 64
Pattern: ^ug-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$

Response

200 - application/json

Success

id
string
required

User group id.

Required string length: 1 - 64
Pattern: ^ug-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"ug-139tf-f58l8-lsbt6dp47lfsdvgh"

name
string
required

Name of the group.

memberCount
integer
required

Number of members.

Required range: x >= 0
dateCreated
string<date-time>
required

ISO 8601 date (must be UTC). Date the group was created.

Example:

"2023-04-14T20:41:28.715Z"

dateUpdated
string<date-time>
required

ISO 8601 date (must be UTC). Date the group was last updated.

Example:

"2023-04-14T20:41:28.715Z"

orgId
string

Organization id.

Required string length: 1 - 64
Pattern: ^or-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"or-30tnh-itmjs-s235s5ontr3r23h2"

tenantId
string

Tenant id.

Required string length: 1 - 64
Pattern: ^acct-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"acct-24hka-dhili-9hgvdlvr1ohpibp4"

description
string

Description of the group.